EnterpriseLibrary.Security and medium trust level

Discussion in 'ASP .Net Security' started by Shahar Nechmad, Oct 18, 2006.

  1. When I configure my site to use the medium trust level, I get the following
    exception:
    "Required permissions cannot be acquired."
    "Could not load file or assembly
    'Microsoft.Practices.EnterpriseLibrary.Security, Version=2.0.0.0 ..."

    Does the site got to run under full trust level in order to use Enterprise
    Library?
    I use the logging, exception and data blocks in my site.
     
    Shahar Nechmad, Oct 18, 2006
    #1
    1. Advertisements

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.